> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sponsorship Statistics

> Retrieves statistics related to sponsorships for a given client.



## OpenAPI

````yaml get /admin/sponsorships/statistics
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/sponsorships/statistics:
    get:
      tags:
        - Sponsorships
      summary: Get Sponsorship Statistics
      description: Retrieves statistics related to sponsorships for a given client.
      operationId: sponsorshipStatistics
      responses:
        '200':
          description: Sponsorship statistics fetched successfully
          content:
            application/json:
              schema:
                properties:
                  sponsorship_statistics:
                    type: array
                    items:
                      properties:
                        program:
                          type: object
                        all_recipients:
                          type: integer
                        sponsored_recipients:
                          type: integer
                      type: object
                type: object
        '404':
          description: No statistics found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: No statistics available for the given client ID.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````